Bug 1578884 - [OSP15] Upgrade rabbitmq to 3.7.x [NEEDINFO]
Summary: [OSP15] Upgrade rabbitmq to 3.7.x
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rabbitmq-server
Version: 15.0 (Stein)
Hardware: All
OS: Linux
high
high
Target Milestone: beta
: 15.0 (Stein)
Assignee: Peter Lemenkov
QA Contact: pkomarov
URL:
Whiteboard:
Depends On: 1686450
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-16 14:33 UTC by Michele Baldessari
Modified: 2019-09-26 10:44 UTC (History)
9 users (show)

Fixed In Version: rabbitmq-server-3.7.13-2.el8ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 11:16:01 UTC
Target Upstream Version:
gregraka: needinfo? (plemenko)


Attachments (Terms of Use)

Description Michele Baldessari 2018-05-16 14:33:17 UTC
Description of problem:
As discussed we would like to aim to upgrade rabbitmq and erlang for OSP14 to the following versions:
- rabbitmq 3.7.5
- erlang 20.3.6

We'll first get builds in Fedora and then poke RDO folks and do downstream

Comment 2 John Eckersberg 2018-05-16 17:10:13 UTC
New RabbitMQ requires elixir ~> 1.6.0 however rawhide only has 1.4.5, so I've submitted a pull request against elixir in rawhide to update it to the latest which is 1.6.5:

https://src.fedoraproject.org/rpms/elixir/pull-request/3

Comment 3 John Eckersberg 2018-05-16 17:39:55 UTC
Also something is broken in rawhide with fop, which is what generates the documentation for erlang.  So builds will fail until that is fixed unless we disable docs (which we really shouldn't do).

Comment 4 John Eckersberg 2018-05-16 19:54:53 UTC
It looks like https://src.fedoraproject.org/rpms/rabbitmq-server/blob/master/f/rabbitmq-common-0001-Use-proto_dist-from-command-line.patch never went upstream, we should probably submit that for rabbitmq-common so we don't need to carry it in fedora anymore.

Comment 9 Peter Lemenkov 2018-09-24 13:51:43 UTC
Erlang 20.x landed to Fedora since ver. 28, but RabbitMQ 3.7 still not available. So I think we have to move it even further, to OSP 16.

However we can push Erlang 20 to OSP 15 - it's ready and it's in a very good shape. One specific feature is that we can use Erlang man-pages not only with "erl -man <something>" but with simple "map <something>" command.

Comment 12 pkomarov 2019-06-04 17:48:09 UTC
Verified , all versions present:

[stack@undercloud-0 ~]$ rhos-release -L
Installed repositories (rhel-8.0):
  15
  ceph-4
  ceph-osd-4
  rhel-8.0

[stack@undercloud-0 ~]$ ansible controller-0 -mshell -b -a "podman exec \$(sudo podman ps -f name=rabbitmq-bundle -q) rpm -qa|grep rabbitmq-server"

controller-0 | CHANGED | rc=0 >>
rabbitmq-server-3.7.15-1.el8ost.x86_64

[stack@undercloud-0 ~]$ ansible controller-0 -mshell -b -a "podman exec \$(sudo podman ps -f name=rabbitmq-bundle -q) rpm -qa|grep erlang"
 [WARNING]: Found both group and host with same name: undercloud

[DEPRECATION WARNING]: Distribution redhat 8.0 on host controller-0 should use /usr/libexec/platform-python, 
but is using /usr/bin/python for backward compatibility with prior Ansible releases. A future Ansible release 
will default to using the discovered platform python for this host. See 
https://docs.ansible.com/ansible/2.8/reference_appendices/interpreter_discovery.html for more information. This
 feature will be removed in version 2.12. Deprecation warnings can be disabled by setting 
deprecation_warnings=False in ansible.cfg.
controller-0 | CHANGED | rc=0 >>
erlang-stdlib-20.3.8.21-1.el8ost.x86_64
erlang-mnesia-20.3.8.21-1.el8ost.x86_64
erlang-public_key-20.3.8.21-1.el8ost.x86_64
erlang-sasl-20.3.8.21-1.el8ost.x86_64
erlang-sd_notify-1.0-5.el8ost.x86_64
erlang-crypto-20.3.8.21-1.el8ost.x86_64
erlang-kernel-20.3.8.21-1.el8ost.x86_64
erlang-hipe-20.3.8.21-1.el8ost.x86_64
erlang-syntax_tools-20.3.8.21-1.el8ost.x86_64
erlang-runtime_tools-20.3.8.21-1.el8ost.x86_64
erlang-asn1-20.3.8.21-1.el8ost.x86_64
erlang-inets-20.3.8.21-1.el8ost.x86_64
erlang-tools-20.3.8.21-1.el8ost.x86_64
erlang-eldap-20.3.8.21-1.el8ost.x86_64
erlang-os_mon-20.3.8.21-1.el8ost.x86_64
erlang-xmerl-20.3.8.21-1.el8ost.x86_64
erlang-erts-20.3.8.21-1.el8ost.x86_64
erlang-compiler-20.3.8.21-1.el8ost.x86_64
erlang-snmp-20.3.8.21-1.el8ost.x86_64
erlang-ssl-20.3.8.21-1.el8ost.x86_64
erlang-otp_mibs-20.3.8.21-1.el8ost.x86_64

Comment 15 errata-xmlrpc 2019-09-21 11:16:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.